﻿using Connected.Annotations;
using Microsoft.Extensions.DependencyInjection;

[assembly: MicroService(MicroServiceType.Sys)]

namespace Connected.Middleware;

internal class MiddlewareStartup : Startup
{
	protected override void OnConfigureServices(IServiceCollection services)
	{
		services.AddScoped(typeof(IMiddlewareService), typeof(MiddlewareService));
	}
}
